<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="1">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">// draw to pause surface
surface_set_target(oScreen.pSurf);

draw_set_color(boxCol);
draw_set_alpha(boxAlpha);
draw_rectangle(borderWidth, borderTop, 320-borderWidth, 240-borderBottom, 0);

draw_set_alpha(1);
if (outlineCol &gt;= 0 and borderWidth+borderTop+borderBottom &gt; 0) {
  draw_set_color(outlineCol);
  draw_rectangle(borderWidth, borderTop, 320-borderWidth, 240-borderBottom, 1);
}

if (page == 0) {
  if (sprite_exists(sprite)) {
    if (spriteX &lt; 0) spriteX = (320/2)-(sprite_get_width(sprite)/2+sprite_get_xoffset(sprite));
    if (spriteY &lt; 0) spriteY = (240/2)-(sprite_get_height(sprite)/2+sprite_get_yoffset(sprite));
    draw_sprite(sprite, 0, spriteX, spriteY);
  }
}

draw_set_font(global.myFontSmall);

wrapMax = floor((320-borderWidth*2-16)/8);

draw_set_color(titleCol);
if (wrap) draw_text(borderWidth+8, borderTop+8, scrWordWrap(title, wrapMax, "#", true));
else draw_text(borderWidth+8, borderTop+8, title);

draw_set_color(bodyCol);
if (wrap) draw_text(borderWidth+8, borderTop+24, scrWordWrap(pageBody, wrapMax, "#", true));
else draw_text(borderWidth+8, borderTop+24, pageBody);

if (string_length(prompt) &gt; 0) scrCenterText(prompt, global.myFontSmall, 240-borderBottom-12, c_yellow);

surface_reset_target();
</argument>
      </arguments>
    </action>
  </actions>
</event>
